FROM centos:7


ARG ARG_NIS_DOMAIN
COPY setup-scripts/nis_server.sh /root
COPY setup-scripts/ssh_server.sh /root
RUN yum install -y ypserv ypbind rpcbind openssh-server; \
    echo "sh /root/nis_server.sh ${ARG_NIS_DOMAIN}" >> /etc/rc.d/rc.local; \
    echo "sh /root/ssh_server.sh" >> /etc/rc.d/rc.local; \
    chmod +x /etc/rc.d/rc.local

RUN mkdir -p -m 0700 /root/.ssh;
COPY authentication/id_rsa /root/.ssh
COPY authentication/id_rsa.pub /root/.ssh
COPY authentication/authorized_keys /root/.ssh
RUN chown root.root /root/.ssh && chmod 600 /root/.ssh/id_rsa; \
    chown root.root /root/.ssh && chmod 644 /root/.ssh/id_rsa.pub; \
    chown root.root /root/.ssh && chmod 600 /root/.ssh/authorized_keys

CMD "/usr/sbin/init"

# useradd nisuser001
# echo "password" | passwd --stdin nisuser001
# groupadd group001
# usermod -g group001 nisuser001
# make -C /var/yp
# su nisuser001